from zope.interface import Interface, Attribute

class IMetadata(Interface):
    """
    URI Scheme Handler.
    """
    def found_file(path): # pragma: no cover
        """
        Handed files to parse.

        @type path: C{string}
        @param path: Real path to file to parse

        @rtype: C{None}
        @return: returns nothing.
        """

    filter = Attribute("""
        @type filter: C{re}
        @ivar filter: File patterns to hand to found_file.
        """)
    
    name = Attribute("""
        @type name: C{string}
        @ivar name: Name of the plugin, used for metadata saved.
        """)