from zope.interface import Interface, Attribute

class IURIHandler(Interface):
    """
    URI Scheme Handler.
    """
    def get_uri(uri): # pragma: no cover
        """
        Returns result of handling a given URI.

        @type uri: C{string}
        @param uri: Parsed URI

        @rtype: C{serializable with xmlrpc}
        @return: Result of fetching uri
        """

    is_initialized = Attribute("""
        @type is_initialized: C{boolean}
        @ivar is_initialized: Has this plugin been initialized.
        """)
    
    scheme = Attribute("""
        @type scheme: C{string}
        @ivar scheme: Protocol scheme to support
    """)