from zope.interface import implements

from twisted.plugin import IPlugin
from twisted.python import log

from sdfs.iurihandler import IURIHandler

from sdfs.exceptions import FileOrFolderNotFoundException

class LISTURIHandler(object):
    implements(IPlugin, IURIHandler)
    
    scheme = 'list'
    
    def get_uri(self, uri):
        depth = 0
        if 'depth' in uri.parameters:
            depth = int(uri.parameters['depth'])
        
        d = self.filesystem.list_dir([uri.real_path], depth=depth)
        if d.values()[0] is None:
            raise FileOrFolderNotFoundException("'%s' not found" % uri.real_path)
        
        for k, items in d.items():
            for item in items:
                if 'type' in item:
                    item['type'] = ord(item['type']) # comp converter, remove next ver
        
        m = self.filesystem.get_metadata(uri.real_path)
        m['items'] = d
        
        return m
    
    def initialize(self):
        pass
    
    
    
listurihandler = LISTURIHandler()