# coding: utf-8
from twisted.trial import unittest

from sdfs.utils import *

class UriParseTestCase(unittest.TestCase):
    def testUriParse(self):
        uri = uriparse('list://sdfs.localdomain/test/folder/?beautiful=1&sexy=indeed')

        self.failUnlessEqual(uri.real_scheme, 'list', 'Parses scheme wrong')
        self.failUnlessEqual(uri.parameters['beautiful'], '1',
                             'Incorrect parameter parsing')
        self.failUnlessEqual(uri.parameters['sexy'], 'indeed',
                             'Incorrect parameter parsing')
        self.failUnlessEqual(len(uri.parameters.keys()), 2,
                             'Too many parameters')
        self.failUnlessEqual(uri.real_path, '/test/folder/',
                             'Invalid path parsing')
        self.failUnlessEqual(uri.netloc, 'sdfs.localdomain',
                             'Invalid netloc parsing')
        
        uri = uriparse(u'http://en.wikipedia.org/wiki/%C3%9F')
        
        self.failUnlessEqual(uri.real_path, '/wiki/\xc3\x9f',
                             'Invalid utf-8 parsing')